//Сброс стилей для списков
@mixin list-reset {
  padding-left: 0;
  list-style: none;
}

// Контейнер 1200 px
@mixin page-wrapper {
  padding-right: calc(50% - 585px);
  padding-left: calc(50% - 585px);
}

// 100 высота экрана с вычетом адресной строки.
// https://github.com/Hiswe/vh-check
@mixin vh-check {
  height: 100vh;
  height: calc(100vh - var(--vh-offset, 0));
}

@mixin includeFont ($font-weight, $font-family, $font-name) {
  font-weight: $font-weight;
  font-family: "#{$font-family}";
  src: local($font-family), url("../fonts/#{$font-name}.woff2") format("woff2"), url("../fonts/#{$font-name}.woff") format("woff");
  font-display: swap;
}

@mixin pseudo() {
  content: "";
  display: block;
  background-repeat: no-repeat;
  background-position: center;
}

@mixin h3() {
  font-weight: 500;
  font-size: 20px;
  line-height: 24px;
  text-align: center;
  color: $green;

  @media (min-width: 1280px) {
    font-size: 30px;
    line-height: 36px;
    text-align: left;
  }
}

@mixin reset() {
  padding: 0;
  background: transparent;
  border: none;
  appearance: none;
}
